//! Utility function to deal wit environment variable

use log::error;
use std::env;

/// Fetch the `var_name` environment variable.
pub fn get_env_variable(var_name: &str) -> String {
    match env::var(var_name) {
        Ok(v) => v,
        Err(_) => {
            error!("Failed to fetch the {} environment variable.", var_name);
            panic!("Exiting...");
        }
    }
}
